# $Revision: 1.17 $, $Date: 2008/07/27 22:51:57 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Exporter
%define		pnam	Easy
Summary:	Exporter::Easy - takes the drudgery out of exporting symbols
Summary(pl.UTF-8):	Exporter::Easy - przejmujący harówkę eksportowania symboli
Name:		perl-Exporter-Easy
Version:	0.16
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	16f44909db2e85578ed2f26db490312b
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Exporter::Easy gets rid of the drudgery of exporting symbols allowing
you to eliminate those bits of code that exists in every single module
that uses Exporter.

It also allows you to define tags in terms of other tags and you no
longer have to worry about filling in @EXPORT_OK.

%description -l pl.UTF-8
Exporter::Easy pozwala pozbyć się harówki związanej z eksportowaniem
symboli, pozwalając wyeliminować te fragmenty kodu, istniejące w
każdym module używającym Exportera.

Pozwala także na definiowanie znaczników w kontekście innych
znaczników, więc nie trzeba się już martwić o wypełnianie @EXPORT_OK.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} -pi -e "s/INSTALLDIRS => 'perl',//" Makefile.PL
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README CHANGES
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Exporter-Easy.spec,v $
Revision 1.17  2008/07/27 22:51:57  arekm
- release 2

Revision 1.16  2007-02-13 07:16:55  glen
- tabs in preamble

Revision 1.15  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.14  2004/11/03 22:30:20  paladine
- formatting

Revision 1.13  2004/08/07 17:12:30  adamg
- updated to 0.16

Revision 1.12  2004/05/07 01:08:48  ankry
- rel. 2

Revision 1.11  2004/05/06 18:09:33  ankry
- fixed perl-devel BR

Revision 1.10  2004/04/20 10:19:49  ankry
- new bconds

Revision 1.9  2004/04/20 07:35:45  ankry
- license fixes and unification

Revision 1.8  2003/09/09 10:24:34  ankry
- spaces -> tab

Revision 1.7  2003/08/18 08:08:45  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.6  2003/05/28 13:00:37  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.3  2003/03/11 12:41:06  ankry
- cosmetics, license fix

Revision 1.2  2003/03/03 23:25:46  qboosh
- pl description(?)

Revision 1.1  2003/03/02 13:42:03  radek
- new
